org.eclipse.net4j.util.security

## Interface IPasswordCredentialsProvider.Provider

- Enclosing interface:
    IPasswordCredentialsProvider

      public static interface IPasswordCredentialsProvider.Provider

  Interface implemented by protocol objects that can supply an `IPasswordCredentialsProvider`.
  Since:
    3.4
  Author:
    Christian W. Damus (CEA LIST)

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IPasswordCredentialsProvider` | `getCredentialsProvider()`

- - ### Method Detail

    - #### getCredentialsProvider

          IPasswordCredentialsProvider getCredentialsProvider()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html